﻿@using EpamMVC.WEB.HtmlHelpers
@model EpamMVC.WEB.Areas.Admin.Models.UserAdmin.IndexViewModel

<div class="card">
    <div class="card-header">
        <a class="btn btn-info btn-sm"
           href="@Url.Action("Create")">
            <i class="fas fa-pencil-alt"></i>
            Добавить
        </a>
        <div class="card-tools">
            @Html.PrintPagination(Model.Pagination)
        </div>
    </div>
    <div class="card-body">


        <table class="table table-striped table-hover table-bordered">
            <thead>
            <tr>
                <th>
                    Id
                </th>
                <th>
                    Статус
                </th>
                <th>
                    Email
                </th>
                <th class="text-right">
                    Действия
                </th>
            </tr>
            </thead>

            <tbody>
            @foreach (var user in Model.Users)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => user.Id)
                    </td>
                    <td>
                        @if (user.LockoutEnabled)
                        {
                            <span class="badge bg-danger">Заблокирован</span>
                        }
                        else
                        {
                            <span class="badge bg-success">Активен</span>
                        }
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => user.Email)
                    </td>
                    <td class="text-right">
                        <a class="btn btn-primary btn-sm"
                           href="@Url.Action("Details", new {user.Id})">
                            <i class="fas fa-folder"> </i>
                            Подробней
                        </a>

                        <a class="btn btn-info btn-sm"
                           href="@Url.Action("Edit", new {user.Id})">
                            <i class="fas fa-pencil-alt"></i>
                            Отредактировать
                        </a>

                        <a class="btn btn-danger btn-sm "
                           href="@Url.Action("Delete", new {user.Id})">
                            <i class="fas fa-trash"></i>
                            Удалить
                        </a>
                    </td>
                </tr>
            }
            </tbody>
        </table>
    </div>
</div>

<div class="card-footer clearfix">
    @Html.PrintPagination(Model.Pagination)
</div>
